import React, { useEffect } from "react";
import { useState } from "react";
import { User, Flight } from "../Types";
import { fetchFlights } from "../Api";

export const useFetchFlights  = (origin: string | null, page: number | null) => {
    const [error, setError] = useState<string | null>(null);
    const [flights, setFlights] = useState<Flight[]>([]);
    const [count, setCount] = useState<number>(0);

    useEffect(() => {
        setError(null);

        fetchFlights(origin, page)
            .then((data) => {
                setCount(data.count)
                setFlights(data.flights);
            })
            .catch((error) => { });
    }, [page]);

    return { flights, count, error };
};
